Query Parameters
Entitlement id to lookup
Fetch only the most recent certificate
trueResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v2/certificates?entitlementId=string"[ { "certificateId": "string", "commonName": "string", "contact": { "email": "string", "jobTitle": "string", "nameFirst": "string", "nameLast": "string", "nameMiddle": "string", "phone": "string", "suffix": "string" }, "createdAt": "string", "deniedReason": "string", "organization": { "address": { "address1": "string", "address2": "string", "city": "string", "country": "AC", "postalCode": "string", "state": "string" }, "assumedName": "string", "jurisdictionOfIncorporation": { "city": "string", "country": "string", "county": "string", "state": "string" }, "name": "string", "phone": "string", "registrationAgent": "string", "registrationNumber": "string" }, "period": 0, "productType": "DV_SSL", "progress": 0, "revokedAt": "string", "rootType": "GODADDY_SHA_1", "serialNumber": "string", "serialNumberHex": "string", "slotSize": "FIVE", "status": "PENDING_ISSUANCE", "subjectAlternativeNames": [ { "status": "PENDING", "subjectAlternativeName": "string" } ], "validEnd": "string", "validStart": "string" }]Header Parameters
Setting locale for communications such as emails and error messages
"Default locale for shopper account"Request Body
application/json
The certificate order information
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/certificates" \ -H "Content-Type: application/json" \ -d '{}'{ "certificateId": "string", "subscriptionId": "string", "subscriptionCreatedForOrder": true}Path Parameters
Certificate id to reissue
Request Body
application/json
The reissue request info
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/certificates/string/reissue" \ -H "Content-Type: application/json" \ -d '{}'Query Parameters
Entitlement id to download
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v2/certificates/download?entitlementId=string"{ "pems": { "certificate": "string", "cross": "string", "intermediate": "string", "root": "string" }, "serialNumber": "string"}Path Parameters
An identifier for a customer
Query Parameters
Number of results to skip for pagination
^[0-9]+$integer-positiveMaximum number of items to return
^[0-9]+$integer-positiveResponse Body
application/json
*/*
*/*
*/*
*/*
*/*
curl -X GET "https://example.com/v2/customers/string/certificates"{ "certificates": [ { "certificateId": "string", "commonName": "string", "period": 0, "type": "DV_SSL", "status": "ISSUED", "createdAt": "string", "completedAt": "string", "validEndAt": "string", "validStartAt": "string", "revokedAt": "string", "renewalAvailable": true, "serialNumber": "string", "slotSize": "FIVE", "subjectAlternativeNames": [ "string" ] } ], "pagination": { "first": "string", "previous": "string", "next": "string", "last": "string", "total": 0 }}Path Parameters
An identifier for a customer
Certificate id to lookup
Response Body
application/json
*/*
*/*
*/*
*/*
*/*
*/*
curl -X GET "https://example.com/v2/customers/string/certificates/string"{ "certificateId": "string", "commonName": "string", "period": 0, "type": "DV_SSL", "status": "PENDING_ISSUANCE", "createdAt": "string", "completedAt": "string", "validEndAt": "string", "validStartAt": "string", "revokedAt": "string", "renewalAvailable": true, "serialNumber": "string", "serialNumberHex": "string", "slotSize": "FIVE", "subjectAlternativeNames": [ "string" ], "contact": { "email": "string", "jobTitle": "string", "nameFirst": "string", "nameLast": "string", "nameMiddle": "string", "phone": "string", "suffix": "string" }, "organization": { "address": { "address1": "string", "address2": "string", "city": "string", "country": "AC", "postalCode": "string", "state": "string" }, "assumedName": "string", "jurisdictionOfIncorporation": { "city": "string", "country": "string", "county": "string", "state": "string" }, "name": "string", "phone": "string", "registrationAgent": "string", "registrationNumber": "string" }, "csr": "string", "rootType": "GODADDY_SHA_1", "deniedReason": "string", "progress": 0}Path Parameters
An identifier for a customer
Certificate id to lookup
Response Body
application/json
*/*
*/*
*/*
*/*
*/*
*/*
curl -X GET "https://example.com/v2/customers/string/certificates/string/domainVerifications"[ { "domain": "string", "domainEntityId": 0, "dceToken": "string", "status": "COMPLETED", "createdAt": "string", "modifiedAt": "string", "type": "DOMAIN_CONTROL_EMAIL", "usage": "COMMON_NAME" }]Path Parameters
An identifier for a customer
Certificate id to lookup
A valid domain name in the certificate request
domainResponse Body
application/json
*/*
*/*
*/*
*/*
*/*
*/*
curl -X GET "https://example.com/v2/customers/string/certificates/string/domainVerifications/string"{ "domain": "string", "domainEntityId": 0, "dceToken": "string", "status": "COMPLETED", "createdAt": "string", "modifiedAt": "string", "type": "DOMAIN_CONTROL_EMAIL", "usage": "COMMON_NAME", "certificateAuthorityAuthorization": { "status": "PENDING", "queryPaths": [ "string" ], "recommendations": [ "ADD_CA_TO_CAA" ], "completedAt": "string" }}Path Parameters
An identifier for a customer
Response Body
application/json
*/*
*/*
*/*
*/*
*/*
*/*
curl -X GET "https://example.com/v2/customers/string/certificates/acme/externalAccountBinding"{ "directoryUrl": "string", "keyId": "string", "hmacKey": "string"}Query Parameters
The number of records to return per query.
int32"15"The page number. (First page is one instead of zero.)
int321 <= value"1"Filter by domain name / common name. This will look for the text inside the content of the domain. This is not a "find domains that start with x" search.
The certificate lifecycle stage. Active, Expired, and Revoked are all Issued certificates. Active means the validity period includes today. Expired means the validity period was prior to today. Revoked means that the certificate has been revoked. Pending means that the certificate is still going through the issuance process and has not been signed or issued yet. Denied means that the certificate went from pending to denied for any valid denial reason. (Customer canceled request, CAA records exist for the domain, fraud, etc...)
"ANY"Value in
- "ANY"
- "ACTIVE"
- "DENIED"
- "EXPIRED"
- "PENDING"
- "REVOKED"
The type of certificate in terms of the number of applicable domains.
"ANY"Value in
- "ANY"
- "SINGLE"
- "UCC"
- "WILDCARD"
The validation type for the certificate. Standard/Basic Validation (DV). Organizational/Deluxe Vetting (OV). Extended/Premium Validation (EV).
"ANY"Value in
- "ANY"
- "DV"
- "EV"
- "OV"
Response Body
application/json
curl -X GET "https://example.com/v2/certificates/subscriptions/search"{ "currentPage": "1", "data": [], "pageSize": 0, "total": 0}Path Parameters
The Subscription GUID containing the certificates being requested.
"217c6432-b892-4d74-a75e-0e37b5dc30a0"Query Parameters
The number of records to return per query.
int32"15"The page number. (First page is one instead of zero.)
int321 <= value"1"Filter by domain name / common name. This will look for the text inside the content of the domain. This is not a "find domains that start with x" search.
The certificate lifecycle stage. Active, Expired, and Revoked are all Issued certificates. Active means the validity period includes today. Expired means the validity period was prior to today. Revoked means that the certificate has been revoked. Pending means that the certificate is still going through the issuance process and has not been signed or issued yet. Denied means that the certificate went from pending to denied for any valid denial reason. (Customer canceled request, CAA records exist for the domain, fraud, etc...)
"ANY"Value in
- "ANY"
- "ACTIVE"
- "DENIED"
- "EXPIRED"
- "PENDING"
- "REVOKED"
The type of certificate in terms of the number of applicable domains.
"ANY"Value in
- "ANY"
- "SINGLE"
- "UCC"
- "WILDCARD"
The validation type for the certificate. Standard/Basic Validation (DV). Organizational/Deluxe Vetting (OV). Extended/Premium Validation (EV).
"ANY"Value in
- "ANY"
- "DV"
- "EV"
- "OV"
Response Body
application/json
curl -X GET "https://example.com/v2/certificates/subscription/217c6432-b892-4d74-a75e-0e37b5dc30a0"{ "allowedDomains": [ "example.com" ], "domain": "example.com", "guid": "217c6432-b892-4d74-a75e-0e37b5dc30a0", "maxDomains": 0, "subscriptionEndDate": "2019-08-24T14:15:22Z", "subscriptionStartDate": "2019-08-24T14:15:22Z", "subscriptionStatus": "ACTIVE", "currentPage": "1", "data": [], "pageSize": 0, "total": 0}Last updated on
How is this guide?